# WOK
TKWOK
WOKDeliv

# WOKDeliv_DeliveryCopy Class Reference

Process cdl for delivery units
.

`#include <WOKDeliv_DeliveryCopy.hxx>`

Inheritance diagram for WOKDeliv_DeliveryCopy:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDeliv_DeliveryCopy (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT WOKMake_Status | Make ()
| Computes dependances Decides if perform is needed. Performs Step on needed entities returns status .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .
Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anitem)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DeliveryCopy::WOKDeliv_DeliveryCopy | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKDeliv_DeliveryCopy::AdmFileType | ( |  | ) | const`[virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DelivBuildSource.

Standard_EXPORT void WOKDeliv_DeliveryCopy::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DelivBuildArchive, WOKDeliv_DelivBuildExec, and WOKDeliv_DelivBuildSource.

Standard_EXPORT const WOKDeliv_DeliveryCopy::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryStep. Reimplemented in WOKDeliv_DelivBuildArchive, WOKDeliv_DelivBuildExec, and WOKDeliv_DelivBuildSource.

Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryCopy::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anitem | ) | `[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DelivBuildArchive, and WOKDeliv_DelivBuildExec.

virtual Standard_EXPORT WOKMake_Status WOKDeliv_DeliveryCopy::Make | ( |  | ) | `[virtual]`

| Reimplemented from WOKMake_Step.

The documentation for this class was generated from the following file:

- WOKDeliv_DeliveryCopy.hxx